package com.clx.performance.service.vehiclewarn;

import com.clx.performance.param.mq.vehiclewarn.VehicleWarnChildAddMqParam;
import com.clx.performance.param.mq.vehiclewarn.VehicleWarnTruckWarnMqParam;
import com.clx.performance.param.mq.vehiclewarn.VehicleWarnTruckWarnNoticeMqParam;

import java.util.List;

public interface VehicleWarnMqHandlerService {

    void orderChildAdd(VehicleWarnChildAddMqParam mq);

    void truckWarn(VehicleWarnTruckWarnMqParam mq);
    void truckWarnNotice(VehicleWarnTruckWarnNoticeMqParam mq);

    void sendSms(List<String> mobileList, String warnName, String truckNo, String childNo);

    void sendClink(List<String> mobileList, String warnName, String truckNo, String childNo);
}
